## org.eclipse.jst.jsf.facesconfig.emf
Interface NavigationRuleType

All Known Implementing Classes:
  NavigationRuleTypeImpl

    public interface NavigationRuleType

A representation of the model object 'Navigation Rule Type'.

The following features are supported:

- `Description`
- `Display Name`
- `Icon`
- `From View Id`
- `Navigation Case`
- `Navigation Rule Extension`
- `Id`

See Also:
  `FacesConfigPackage.getNavigationRuleType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`EList` `getDescription()` Returns the value of the 'Description' containment reference list.
`EList` `getDisplayName()` Returns the value of the 'Display Name' containment reference list.
`FromViewIdType` `getFromViewId()` Returns the value of the 'From View Id' containment reference
`EList` `getIcon()` Returns the value of the 'Icon' containment reference list.
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`EList` `getNavigationCase()` Returns the value of the 'Navigation Case' containment reference list.
`EList` `getNavigationRuleExtension()` Returns the value of the 'Navigation Rule Extension' containment reference list.
`void` `setFromViewId(FromViewIdType value)` Sets the value of the '`From View Id`' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getDescription

    EList getDescription()

  Returns the value of the 'Description' containment reference list. The list contents are of type `DescriptionType`.

  If the meaning of the 'Description' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Description' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_Description()`

### getDisplayName

    EList getDisplayName()

  Returns the value of the 'Display Name' containment reference list. The list contents are of type `DisplayNameType`.

  If the meaning of the 'Display Name' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Display Name' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_DisplayName()`

### getIcon

    EList getIcon()

  Returns the value of the 'Icon' containment reference list. The list contents are of type `IconType`.

  If the meaning of the 'Icon' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Icon' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_Icon()`

### getFromViewId

    FromViewIdType getFromViewId()

  Returns the value of the 'From View Id' containment reference.

  If the meaning of the 'From View Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'From View Id' containment reference.
  See Also:
    `setFromViewId(FromViewIdType)`, `FacesConfigPackage.getNavigationRuleType_FromViewId()`

### setFromViewId

    void setFromViewId(FromViewIdType value)

  Sets the value of the '`From View Id`' containment reference.

  Parameters:
    `value` - the new value of the 'From View Id' containment reference.
  See Also:
    `getFromViewId()`

### getNavigationCase

    EList getNavigationCase()

  Returns the value of the 'Navigation Case' containment reference list. The list contents are of type `NavigationCaseType`.

  If the meaning of the 'Navigation Case' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigation Case' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_NavigationCase()`

### getNavigationRuleExtension

    EList getNavigationRuleExtension()

  Returns the value of the 'Navigation Rule Extension' containment reference list. The list contents are of type `NavigationRuleExtensionType`.

  If the meaning of the 'Navigation Rule Extension' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Navigation Rule Extension' containment reference list.
  See Also:
    `FacesConfigPackage.getNavigationRuleType_NavigationRuleExtension()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getNavigationRuleType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`